Bug 1029704 - [abrt] open-vm-tools-9.4.0-1.fc20: Hostinfo_TouchBackDoor: Process /usr/bin/vmtoolsd was killed by signal 11 (SIGSEGV)
[abrt] open-vm-tools-9.4.0-1.fc20: Hostinfo_TouchBackDoor: Process /usr/bin/v...
Status: CLOSED DUPLICATE of bug 969688
Product: Fedora
Classification: Fedora
Component: open-vm-tools (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ravindra Kumar
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:92dcaaf3ef474eff0404b2dae58...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-12 18:54 EST by Dan Mossor [danofsatx]
Modified: 2015-10-26 07:56 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-05 02:03:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (5.66 KB, text/plain)
2013-11-12 18:54 EST, Dan Mossor [danofsatx]
no flags Details
File: cgroup (159 bytes, text/plain)
2013-11-12 18:55 EST, Dan Mossor [danofsatx]
no flags Details
File: core_backtrace (1.97 KB, text/plain)
2013-11-12 18:55 EST, Dan Mossor [danofsatx]
no flags Details
File: dso_list (1.77 KB, text/plain)
2013-11-12 18:55 EST, Dan Mossor [danofsatx]
no flags Details
File: environ (1.39 KB, text/plain)
2013-11-12 18:55 EST, Dan Mossor [danofsatx]
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-12 18:55 EST, Dan Mossor [danofsatx]
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-12 18:55 EST, Dan Mossor [danofsatx]
no flags Details
File: maps (8.83 KB, text/plain)
2013-11-12 18:55 EST, Dan Mossor [danofsatx]
no flags Details
File: open_fds (180 bytes, text/plain)
2013-11-12 18:55 EST, Dan Mossor [danofsatx]
no flags Details
File: proc_pid_status (927 bytes, text/plain)
2013-11-12 18:55 EST, Dan Mossor [danofsatx]
no flags Details
File: var_log_messages (190 bytes, text/plain)
2013-11-12 18:55 EST, Dan Mossor [danofsatx]
no flags Details

  None (edit)
Description Dan Mossor [danofsatx] 2013-11-12 18:54:50 EST
Version-Release number of selected component:
open-vm-tools-9.4.0-1.fc20

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/bin/vmtoolsd -n vmusr
crash_function: Hostinfo_TouchBackDoor
executable:     /usr/bin/vmtoolsd
kernel:         3.11.7-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 Hostinfo_TouchBackDoor at hostinfoHV.c:521
 #1 VmCheckSafe at vmcheck.c:150
 #2 VmCheck_IsVirtualWorld at vmcheck.c:267
 #3 ToolsCore_Setup at mainLoop.c:405

Potential duplicate: bug 969688
Comment 1 Dan Mossor [danofsatx] 2013-11-12 18:54:59 EST
Created attachment 823199 [details]
File: backtrace
Comment 2 Dan Mossor [danofsatx] 2013-11-12 18:55:03 EST
Created attachment 823200 [details]
File: cgroup
Comment 3 Dan Mossor [danofsatx] 2013-11-12 18:55:07 EST
Created attachment 823201 [details]
File: core_backtrace
Comment 4 Dan Mossor [danofsatx] 2013-11-12 18:55:12 EST
Created attachment 823202 [details]
File: dso_list
Comment 5 Dan Mossor [danofsatx] 2013-11-12 18:55:15 EST
Created attachment 823203 [details]
File: environ
Comment 6 Dan Mossor [danofsatx] 2013-11-12 18:55:19 EST
Created attachment 823204 [details]
File: exploitable
Comment 7 Dan Mossor [danofsatx] 2013-11-12 18:55:24 EST
Created attachment 823205 [details]
File: limits
Comment 8 Dan Mossor [danofsatx] 2013-11-12 18:55:30 EST
Created attachment 823206 [details]
File: maps
Comment 9 Dan Mossor [danofsatx] 2013-11-12 18:55:34 EST
Created attachment 823207 [details]
File: open_fds
Comment 10 Dan Mossor [danofsatx] 2013-11-12 18:55:38 EST
Created attachment 823208 [details]
File: proc_pid_status
Comment 11 Dan Mossor [danofsatx] 2013-11-12 18:55:43 EST
Created attachment 823209 [details]
File: var_log_messages
Comment 12 Ravindra Kumar 2013-12-05 02:03:48 EST
It is same as bug 969688.

Could you please check and confirm if removing Nvidia driver helps in avoiding this bug as mentioned by Mirko in https://bugzilla.redhat.com/show_bug.cgi?id=969688#c19?

*** This bug has been marked as a duplicate of bug 969688 ***
Comment 13 Dan Mossor [danofsatx] 2013-12-05 11:56:41 EST
I have not been able to reproduce this bug. I have since gone through many rebuilds of the system, and have stopped loading VirtualBox. I do not receive this error when using VMware.
Comment 14 ILMostro 2014-01-16 02:50:23 EST
I just received the same error, just as you mentioned, immediately upon booting into F20. While you have not been able to reproduce it, many others have-- over 2000 counts according to the ABRT Server. I'm not sure if it's relevant but I did install kernel-tools-debuginfo, kernel-tools-libs-devel, and redhat-lsb (all seperately) before the system was shutdown.
Comment 15 ILMostro 2014-01-16 13:04:30 EST
I received the error message a second time, which is concerning since I assumed(hoped) I'd have "trouble reproducing it" just as Dan did. I wonder if the SELinux fcontext changes I had made recently to my server's DocumentRoot folder; I saw this in my journal log during the most recent event:

>type=1701 audit(1389891464.950:2211): auid=1000 uid=1000 gid=1000 ses=18 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 pid=9780 comm="vmtoolsd" re
ason="memory violation" sig=11
Comment 16 Ravindra Kumar 2014-01-16 13:44:52 EST
ILMostro, could you please provide little more details about your environment? Are you running on physical or on a virtual machine? If it is running in a virtual machine, what is the hypervisor you are using? Also, it would help a lot if you could isolate the issue to a specific system change you have made.

I would appreciate if you could also verify the Nvidia driver issue as mentioned in my comment #12.
Comment 17 ILMostro 2015-10-12 12:02:01 EDT
This was a while ago; IIRC, I was running on baremetal HW when I received those messages.  Fairly certain that the nvidia-related resolution had no noticeable affect.  I wonder how/where to proceed from here w/this bug, as there doesn't seem to have been any activity in 2 yrs.
Comment 18 Ravindra Kumar 2015-10-12 15:12:49 EDT
(In reply to ILMostro from comment #17)
> This was a while ago; IIRC, I was running on baremetal HW when I received
> those messages.  Fairly certain that the nvidia-related resolution had no
> noticeable affect.  I wonder how/where to proceed from here w/this bug, as
> there doesn't seem to have been any activity in 2 yrs.

Do you still see this issue with latest Fedora?

Note You need to log in before you can comment on or make changes to this bug.